﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PieChart
{
    public class ExpenditureDetails
    {
        public ExpenditureDetails()
        {
            this.Expenditure = new ObservableCollection<CompanyExpense>();
        }
        public ObservableCollection<CompanyExpense> PopulateDatas()
         {
             Expenditure.Add(new CompanyExpense() { Expense = "Seeds", Amount = 20d });
             Expenditure.Add(new CompanyExpense() { Expense = "Fertilizers", Amount = 23d });
             Expenditure.Add(new CompanyExpense() { Expense = "Insurance", Amount = 12d });
             Expenditure.Add(new CompanyExpense() { Expense = "Labor", Amount = 28d });
             Expenditure.Add(new CompanyExpense() { Expense = "Warehousing", Amount = 10d });
             Expenditure.Add(new CompanyExpense() { Expense = "Taxes", Amount = 10d });
             Expenditure.Add(new CompanyExpense() { Expense = "Truck", Amount = 10d });
             return Expenditure;
         }

        public ObservableCollection<CompanyExpense> Expenditure
        {
            get;
            set;
        }
    }
    public class CompanyExpense : INotifyPropertyChanged
    {
        private string expense;

        private double amount;


        public string Expense
        {
            get
            {
                return expense;
            }
            set
            {
                expense = value;
                OnPropertyChanged("Expense");
            }
        }

        public double Amount
        {
            get
            {

                return amount;
            }
            set
            {
                amount = value;
                OnPropertyChanged("Amount");
            }
        }

        private void OnPropertyChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
