﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PieChart
{
    public class ViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<CompanyExpense> datas;

        public ObservableCollection<CompanyExpense> Datas
        {

            get
            {
                return datas;
            }
            set
            {
                datas = value;
                OnPropertyChanged("Datas");
            }
        }

        
        public ViewModel()
        {
            ExpenditureDetails collection = new ExpenditureDetails();
            Datas = collection.PopulateDatas();
        }
        
        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
